#include "stdafx.h"
#include "boost/serialization/export.hpp"

#include "Base.h"

template<class Archive>
void Base::serialize(Archive& ar, const unsigned int version)
{
    ar & BOOST_SERIALIZATION_NVP(i);
}

#include "boost/archive/polymorphic_iarchive.hpp"
#include "boost/archive/polymorphic_oarchive.hpp"
template void __declspec(dllexport) Base::serialize(boost::archive::polymorphic_iarchive& ar, const unsigned int version);
template void __declspec(dllexport) Base::serialize(boost::archive::polymorphic_oarchive& ar, const unsigned int version);

BOOST_CLASS_EXPORT_IMPLEMENT(Base);