// serialize_test.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <fstream>
#include "boost/serialization/export.hpp"
#include "data_types/Derived.h"

#include "boost/archive/polymorphic_xml_iarchive.hpp"
#include "boost/archive/polymorphic_xml_oarchive.hpp"

int _tmain(int argc, _TCHAR* argv[])
{
    std::ofstream f("c:\\test.xml");
    boost::archive::polymorphic_oarchive& xml =
        boost::archive::polymorphic_xml_oarchive(f);
    
    Base* b = new Derived(123);
    xml & BOOST_SERIALIZATION_NVP(b);
    
    delete b;
    
	return 0;
}

